Pepvote Support Center

Register Public Voter

POST
/public/voting-events/{idOrCode}/register/voter

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

Idempotency-Keystring

Optional retry key. First successful response is stored for 24 hours.

  • Length: up to 255 characters
User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

namestringrequired

Voter name.

  • Length: 1 to 200 characters
emailstringrequired

Voter email. Pepvote emails the voter key here.

  • Length: 3 to 320 characters
voterIdstring

External voter ID. Required when the event has voter.requireVoterId set.

  • Length: up to 200 characters
groupIdstring

Group the voter belongs to. Requires group mode.

Response Body

application/json

application/json

curl -X POST "https://example.com/public/voting-events/string/register/voter" \  -H "User-Agent: my-app/1.0" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "email": "string"  }'
{
  "data": {
    "id": "string",
    "voterId": "string",
    "name": "string",
    "email": "string",
    "groupId": "string",
    "status": "not_approved",
    "weight": 0
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "details": {
      "field": "string",
      "parameter": "string",
      "limit": 0,
      "retryAfterSeconds": 0,
      "feature": "string",
      "plan": "string"
    }
  }
}
Was this helpful?

Last updated September 6, 2026